Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationProfilingExport

    java.lang.Object
      |
      +--kodo.manage.AbstractManagementConfiguration
            |
            +--kodo.manage.ManagementConfigurationProfiling
                  |
                  +--kodo.manage.ManagementConfigurationProfilingLocal
                        |
                        +--kodo.manage.ManagementConfigurationProfilingExport

All Implemented Interfaces:
  Configurable, ManagementConfiguration

public class ManagementConfigurationProfilingExport
extends ManagementConfigurationProfilingLocal

Configuration for local profiling GUI.

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`_conf, _plugins`

Constructor Summary
`ManagementConfigurationProfilingExport()`

Method Summary
`com.solarmetric.profile.ProfilingInterface` | `getProfilingInterface()`
`void` | `setBasename(String basename)`
`void` | `setIntervalMillis(long millis)`
`void` | `setUniqueNames(boolean unique)`

Methods inherited from class kodo.manage.ManagementConfigurationProfilingLocal
`getProfilingAgent`

Methods inherited from class kodo.manage.ManagementConfigurationProfiling
`closeProfiling, getExecutionContextNameProvider, getPlugins, initProfiling, setStackStyle`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`closeManagement, endConfiguration, getMBeanPlugins, getMBeanServer, initManagement, setConfiguration, startConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationProfilingExport

    public ManagementConfigurationProfilingExport()

Method Detail

### getProfilingInterface

    public com.solarmetric.profile.ProfilingInterface getProfilingInterface()

  Overrides:
    `getProfilingInterface` in class `ManagementConfigurationProfiling`

### setIntervalMillis

    public void setIntervalMillis(long millis)

### setBasename

    public void setBasename(String basename)

### setUniqueNames

    public void setUniqueNames(boolean unique)

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.